> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/tracking/daily-recap/select-daily-recap-questions.md).

# Select Daily Recap Questions

Use the `selectDailyRecapQuestions` mutation to select one or more questions to be later displayed when executing the [`dailyRecap`](/graphql/query/queries/tracking/daily-recap/get-daily-recap.md#required-argument) and the [`dailyRecaps`](/graphql/query/queries/tracking/daily-recap/get-daily-recaps.md) queries. These sets of questions will vary constantly according to what the user is selecting.

### Required Arguments

| **Argument Name** | **Type** |                                                                                                        **Description**                                                                                                       |
| :---------------: | :------: | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|    `questions`    |   \[ID]  | <p>Unique question ID. Use the <a href="https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-recap-questions"><code>dailyRecapQuestions</code> </a>query to get the Id of the questions. <br></p> |

### Available Fields

The following fields will be displayed in the response:

<table data-header-hidden><thead><tr><th width="219.33333333333331" align="center">Field</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>success</code></td><td align="center">Boolean</td><td align="center"><strong>True</strong> if the daily recap question has been set successfully. Otherwise, <strong>False</strong><br></td></tr><tr><td align="center"><code>Message</code></td><td align="center">String</td><td align="center">Description of the result</td></tr></tbody></table>

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  selectDailyRecapQuestions(
    questions: [
      "RGFpbHlRdWVzdGlvbjo3Y2E4YzAxZS1kZDRjLTRlODktYjA3NS04ZGZmNzhlZDlhZTE=",
      "RGFpbHlRdWVzdGlvbjo2ZDI0ZjQ5Ny0wNzQzLTQyYTQtYThlZi1lNjhiNzkyZjA0NmU="
    ]
  ) {
    success
    message

  }
}



```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "selectDailyRecapQuestions": {
      "success": true,
      "message": "Questions set updated"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/tracking/daily-recap/select-daily-recap-questions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
